INTERFACE
SUBROUTINE LATTEY(KPROMA,KSTART,KPROF,KFLEV,KFLSA,KFLEN,KYLAG,&
 & PBT,KSTEP,LDTWOTL,LDSETTLS,PXI,&
 & PESGP,PESGM,&
 & PD3Y0,PD3Y9,PYNLT9,PYL9,PYT1) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KFLSA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEN
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KYLAG
REAL(KIND=JPRB) ,INTENT(IN) :: PBT
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
LOGICAL ,INTENT(IN) :: LDTWOTL
LOGICAL ,INTENT(IN) :: LDSETTLS
REAL(KIND=JPRB) ,INTENT(IN) :: PXI
REAL(KIND=JPRB) ,INTENT(IN) :: PESGP
REAL(KIND=JPRB) ,INTENT(IN) :: PESGM
REAL(KIND=JPRB) ,INTENT(IN) :: PD3Y0(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PD3Y9(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PYNLT9(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PYL9(KPROMA,KFLSA:KFLEN)
REAL(KIND=JPRB) ,INTENT(OUT) :: PYT1(KPROMA,KFLEV)
END SUBROUTINE LATTEY
END INTERFACE
